"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MedScanLeaveQueueEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player leaves the queue for a med scan.
 */
class MedScanLeaveQueueEvent extends events_1.RevertableEvent {
    constructor(room, medscan, message, 
    /**
     * The player that left the queue.
     */
    player) {
        super();
        this.room = room;
        this.medscan = medscan;
        this.message = message;
        this.player = player;
        this.eventName = "medscan.leavequeue";
        this._alteredPlayer = player;
    }
    /**
     * The alternate player that will leave the queue instead, if changed.
     */
    get alteredPlayer() {
        return this._alteredPlayer;
    }
    /**
     * Change the player that left the queue.
     * @param player The player that left the queue.
     */
    setPlayer(player) {
        this._alteredPlayer = player;
    }
}
exports.MedScanLeaveQueueEvent = MedScanLeaveQueueEvent;
MedScanLeaveQueueEvent.eventName = "medscan.leavequeue";
//# sourceMappingURL=LeaveQueue.js.map