"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerSceneChangeEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player changes their scene, i.e. when they first join and
 * before they spawn into the game.
 *
 * A player does not necessarily have to change their scene, and they will
 * simply not spawn while recieving all game packets and events.
 */
class PlayerSceneChangeEvent extends events_1.CancelableEvent {
    constructor(room, player, message) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.eventName = "player.scenechange";
    }
}
exports.PlayerSceneChangeEvent = PlayerSceneChangeEvent;
PlayerSceneChangeEvent.eventNamee = "player.scenechange";
//# sourceMappingURL=SceneChange.js.map